
Redmine - Defect #5741

SVN HTTPS Repositorie don't work

2010-06-23 11:51 - Holger Winkelmann

Status: Closed Start date: 2010-06-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After configuring a SVN Repository at a HTTPS URL I get the following Error

"The entry or revision was not found in the repository."

I'm using Redmine 0.9.4.devel.3797 (PostgreSQL) with the following environment:

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/lib/redmine

Environment               production

Database adapter          postgresql

Database schema version   20100313171051

About your Redmine plugins

Redmine Code Review plugin   0.3.0

Bulk Time Entry              0.4.0

Timesheet Plugin             0.5.0

Redmine iPhone plugin        0.0.1

Stuff To Do Plugin           0.0.2

Screenshot Paste             1.1.0

Rate Plugin                  0.1.0

 
svn, version 1.6.5 (r38866)

 and get the followin log output:

Processing ProjectsController#settings (for 192.168.2.143 at 2010-06-23 11:40:07) [GET]

  Parameters: {"action"=>"settings", "id"=>"tposs", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

Completed in 157ms (View: 126, DB: 16) | 200 OK [https://xxxxx/projects/tposs/settings]

Processing RepositoriesController#show (for 192.168.2.143 at 2010-06-23 11:40:17) [GET]

  Parameters: {"action"=>"show", "id"=>"tposs", "controller"=>"repositories"}

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:28:in `parse'

/usr/lib/ruby/1.8/rexml/document.rb:228:in `build'

/usr/lib/ruby/1.8/rexml/document.rb:43:in `initialize'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/xml_mini/rexml.rb:17:in `new'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/xml_mini/rexml.rb:17:in `parse'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/xml_mini.rb:12:in `__send__'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/xml_mini.rb:12:in `parse'

/var/lib/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in `entries'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:193:in `call'

2025-05-02 1/3



/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:193:in `shellout'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:191:in `popen'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:191:in `shellout'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:177:in `shellout'

/var/lib/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:82:in `entries'

/var/lib/redmine/app/models/repository.rb:63:in `entries'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_proxy.rb:217:

in `send'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/associations/association_proxy.rb:217:

in `method_missing'

/var/lib/redmine/app/controllers/repositories_controller.rb:79:in `show'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:1331:in `send'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:1331:in `perform_action_with

out_filters'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:617:in `call_filters'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:610:in `perform_action_wi

thout_benchmark'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perform_actio

n_without_rescue'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/rescue.rb:160:in `perform_action_wit

hout_flash'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/flash.rb:146:in `perform_action'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:532:in `send'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:532:in `process_without_filt

ers'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:606:in `process'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:391:in `process'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:386:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/routing/route_set.rb:437:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:87:in `dispatch'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:121:in `_call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:130:in `build_middlewa

re_stack'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `call'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `call'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/query_cac

he.rb:34:in `cache'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:9:in `cache'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:28:in `call'

/var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/connectio

n_pool.rb:361:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/string_coercion.rb:25:in `call'

/var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

/var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/params_parser.rb:15:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/session/cookie_store.rb:93:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/failsafe.rb:26:in `call'

/var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

/var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:106:in `call'

/var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/content_length.rb:13:in `call'

/var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/handler/fastcgi.rb:58:in `serve'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:103:in `process_request'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:153:in `with_signal_handler'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:101:in `process_request'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:78:in `process_each_request'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:77:in `each'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:77:in `process_each_request'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:76:in `catch'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:76:in `process_each_request'

/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:51:in `process!'
/var/lib/gems/1.8/gems/rails-2.3.5/lib/fcgi_handler.rb:23:in `process!'

/var/lib/redmine/public/dispatch.fcgi:24

...

No close tag for /lists/list

Line:

Position:

Last 80 unconsumed characters:

Output was:

 <?xml version="1.0"?>

<lists>

<list

   path="https://svn.tpip.net/repos/server">

Rendering template within layouts/base

Completed in 813ms (View: 26, DB: 8) | 500 Internal Server Error [https://redmine.tpip.net/project

s/tposs/repository]

History

#1 - 2010-06-23 21:05 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

There is some more work to do for redmine to work with subversion over https if it's using a self-signed certificate, see the FAQ.
